Contact Us Contact Us

HP-UX Apache-based Web Server v.2.12 powered by Apache, Tomcat, Webmin

  Software Depot
Electronic download
Frequently asked questions
Product details & specifications
Receive for Free
Overview

hp-ux apache-based web server, hp-ux tomcat-based servlet engine, 
hp-ux webmin-based admin

components in the hp-ux web server suite

what is the hp-ux web server suite?

The HP-UX Web Server Suite is a collection of key software products necessary to deploy, manage, and implement mission critical web servers. The suite is comprised of:

  • HP-UX Apache-based Web Server 
  • HP-UX Webmin-based Admin 
  • HP-UX Tomcat-based Servlet Engine 
  • HP-UX XML Web Server Tools

For more information and to download the other components in the HP-UX Web Server Suite.

what is the hp-ux apache-based web server?

According to Netcraft (http://www.netcraft.com/survey), the Apache Web Server dominates over 60% of today's web server market as the most popular and frequently deployed web server for publishing and serving static and dynamic web pages.

Engineered through state-of-the-art processes for the highest quality and tailored to run smoothly on HP-UX 11.0 and 11i for PA-RISC and Itanium® processor family-based systems, HP offers the HP-UX Apache-based Web Server as a total solution for web server deployment. The Open Source Apache Web Server 2.0 software developed by the Apache Software Foundation (Apache HTTP Server Project described at http://httpd.apache.org) serves as the base for the HP-UX Apache-based Web Server.

Apache 2.0 is a significant enhancement over the Apache 1.3.x line from ASF with many architectural improvements that increase Apache's power and flexibility while retaining its legendary stability as the world's most popular web server. In addition to the base HTTP server, HP has combined numerous popular modules from other Open Source projects as well as provided HP value-added features just for the HP-UX platform.

Note: HP-UX Apache-based Web Server for IPv6 will not start without the HP-UX 11i IPv6 product installed.

what is the hp-ux tomcat-based servlet engine?

Tomcat is the servlet container that is used in the official Reference Implementation for the Java Servlet and JavaServer Pages (JSP) technologies. 

This release of Tomcat 5.5.x implements the Servlet 2.4 and JSP 2.0 specifications.  HP-UX Tomcat-based Servlet Engine comes with documentation including an admin and a migration guide. It seamlessly integrates into HP-UX Apache-based Web Server.

what is the hp-ux webmin-based admin?

HP-UX Webmin-based Admin is an enterprise-ready GUI management tool that provides an intuitive graphical user interface to easily administer components in the HP-UX Web Server Suite. The HP-UX Webmin-based Admin is a customized version of the Open Source Webmin software and is fully integrated with the HP-UX Web Server Suite. It has the HP look-and-feel, provides easy access to suite documentation and help pages, and supports HP-UX Apache-based Web Server modules including mod_ssl and auth_ldap.

The HP-UX Webmin-based Admin supports many services and actions required to maintain the HP-UX Apache-based Web Server. It is universally accessible via any web browser and can use SSL encryption. Configuration with Webmin does not preclude configuration via other tools, or via the command line. Webmin is an excellent tool for both novice and experienced system administrators. As a tool for novices, it can provide a means of getting involved in system administration with minimal knowledge of the managed component and can be an effective teaching tool. 

what's new

This release of HP-UX Apache-based Web Server is a new feature release along with defect fixes.

  • HP-UX Web Server Suite v.2.12
  • HP-UX Apache-based Web Server v.2.0.54.00
    • Apache upgraded to 2.0.54
    • mod_jk upgraded to 1.2.10
    • OpenSSL upgraded to 0.9.7g
    • mod_perl supports perl 5.8.3
    • PHP upgraded to 5.0.4
      • Robust Support for Object-Oriented Programming
      • A Completely Rewritten MySQL Extension
      • A Suite of Interoperable XML Tools
      • An Embedded Database with SQLite
      • Cleaner Error Handling with Exceptions
    • Defect fixes
      • A new directive, ThreadStackSize, is provided for httpd. This can be used to change the default stack size of threads. This needs to be set in the global environment section of the httpd.conf file. Syntax: ThreadStackSize size, where size is specified in bytes. Default stack size for PA-RISC systems is 262144 and for IPF systems it is 524288.
      • With mod_cgid, printing $0 in a perl script now gives the entire path instead of just the filename.
  • HP-UX Tomcat-based Servlet Engine v.5.5.9.00
  • Tomcat is upgraded to version 5.5.9. Tomcat version 5 implements the Servlet 2.4 and JavaServer Pages 2.0 specifications. Tomcat 5.5.x is designed to run on JDK 1.5 and later versions. Compatibility package is provided to make Tomcat run with JDK 1.4. It is recommended to upgrade to JDK 1.5. Tomcat 5.5 improves on Tomcat 4.1 in many ways, including:
    • Performance optimizations and reduced garbage collection
    • Tomcat 5.5 uses Eclipse JDT for compiling JSPs. Also it allows Tomcat to run on a JRE only, i.e. no JDK required
    • Uses Commons logging throughout its internal code for logging
    • Integrated session clustering
    • Complete server monitoring using JMX and the manager web application
    • Scalability and reliability enhancements
    • Improved Taglibs handling, including advanced pooling and tag plugins
    • Embedding of Tomcat using JMX
    • Enhanced Security Manager support
    • Expanded documentation
Plus enhancements from HP-UX Web Server Suite v.2.11
This release of HP-UX Apache-based Web Server is primarily a security and bug fix release.

The security bulletins for this update can be found at http://itrc.hp.com/. To get the security bulletin, you need to go through the following steps.

  1. Log on to the http://itrc.hp.com/. If you do not have a login, it's easy to get one. Follow the instructions on the page.
  2. Once logged on, click on "Maintenance & Support" (for HP products)
  3. Select the "Support Information Digests" in the "Notifications" section (the last yellow box in the center).
  4. Scroll down to the bottom of the page, and click on "hp security bulletins archive"
  5. Look for items related to Apache or one of the components specified below (i.e., OpenSSL, Webmin).
The following changes and security fixes were made in this release:
  • HP-UX Web Server Suite v.2.11
  • HP-UX Apache-based Web Server v.2.0.53.00
    This release of HP-UX Apache-based Web Server is primarily a security and bug fix release.
    • Apache upgraded to 2.0.53:
      • Apache webserver 2.0.52 and earlier allows remote attackers to cause a denial of service (CPU consumption) via an HTTP GET request with a MIME header containing multiple lines with a large number of space characters [CAN-2004-0942]
           More details are available at http://cve.mitre.org/: CAN-2004-0942
      • The mod_ssl module in Apache 2.0.35 through 2.0.52, when using the "SSLCipherSuite" directive in directory or location context, allows remote clients to bypass intended restrictions by using any cipher suite that is allowed by the virtual host configuration [CAN-2004-0885]
           More details are available at http://cve.mitre.org/: CAN-2004-0885
  • HP-UX Tomcat-based Servlet Engine 4.1.29.04
  • HP-UX Webmin-based Admin 1.070.03
    • Fixed the problem where httpd.conf file is being saved with 0 bytes
  • Enhancements:
    • Longuname support for 11.23
    • Support for perl v5.8.2 with mod_perl on 11.23
    • The sticky session option is enabled by default for mod_jk
  • Defect fixes:
    • CGI scripts started by the CGI daemon, which were orphaned when the httpd server was stopped, are now terminated

Plus enhancements from HP-UX Web Server Suite v.2.10
  • HP-UX Web Server Suite v.2.10
  • HP-UX Apache-based Web Server v.2.0.52.00
    This release of HP-UX Apache-based Web Server is primarily a security and bug fix release.
    • Apache upgraded to 2.0.52:
      • The IPv6 URI parsing routines in the apr-util library for Apache 2.0.50 and earlier allow remote attackers to cause a denial of service (child process crash) via a certain URI, as demonstrated using the Codenomicon HTTP Test Tool. [CAN-2004-0786]
           More details are available at http://cve.mitre.org/: CAN-2004-0786
      • Buffer overflow in Apache 2.0.50 and earlier allows local users to gain apache privileges via a .htaccess file that causes the overflow during expansion of environment variables. [CAN-2004-0747]
           More details are available at http://cve.mitre.org/: CAN-2004-0747
      • The char_buffer_read function in the mod_ssl module for Apache 2.x, when using reverse proxying to an SSL server, allows remote attackers to cause a denial of service (segmentation fault). [CAN-2004-0751]
           More details are available at http://cve.mitre.org/: CAN-2004-0751
      • mod_ssl in Apache 2.0.50 and earlier allows remote attackers to cause a denial of service (CPU consumption) by aborting an SSL connection in a way that causes an Apache child process to enter an infinite loop. [CAN-2004-0748]
           More details are available at http://cve.mitre.org/: CAN-2004-0748
      • The mod_dav module in Apache 2.0.50 and earlier allows remote attackers to cause a denial of service (child process crash) via a certain sequence of LOCK requests for a location that allows WebDAV authoring access. [CAN-2004-0809]
           More details are available at http://cve.mitre.org/: CAN-2004-0809
      • Vulnerability in Apache 2.0.51 prevents the merging of the Satisfy directive, which could allow attackers to obtain access to restricted resources contrary to the specified authentication configuration. [CAN-2004-0811]
           More details are available at http://cve.mitre.org/: CAN-2004-0811
      • mod_perl upgraded to 1.99_16
  • HP-UX Tomcat-based Servlet Engine 4.1.29.04
    This release of HP-UX Tomcat-based Servlet Engine is primarily a bug fix release:
    • Tomcat upgraded to 4.1.29.04
      • Commons-DBCP upgraded to 1.2.1
  • HP-UX Webmin-based Admin 1.070.02
    This release of HP-UX Webmin-based Admin is primarily a security and bug fix release:
    • Webmin upgraded to 1.070.02
      • fixed corruption of the SSL virtual server configuration (JAGaf41910).

    Plus enhancements from HP-UX Web Server Suite v.2.08
    • HP-UX Web Server Suite v.2.08
    • HP-UX Apache-based Web Server v.2.0.50.00
      This release of HP-UX Apache-based Web Server is primarily a security, bug fix release with 2 enhancements:
      • Apache upgraded to 2.0.50
        • A remotely triggered memory leak in http header parsing can allow a denial of service attack due to excessive memory consumption. [CAN-2004-0493]
             More details are available at http://cve.mitre.org/: CAN-2004-0493
        • Fixes a mod_ssl buffer overflow in the FakeBasicAuth code for a (trusted) client certificate subject DN which exceeds 6K in length. [CAN-2004-0488]
             More details are available at http://cve.mitre.org/: CAN-2004-0488
        • Apache(mod_ssl): Extended support for 'RequestHeader' directive When the Proxy feature is used, the RequestHeader directive can be used to send any environment variables/values to the backend server.
        • Apache(mod_ssl): Support for updating CRL without re-starting the web server. A new option 'updatecrl' was added to apachectl. This new option will allow to update the Certificate Revocation List without taking down the web server.
        • PHP upgraded to 4.3.8
          • The memory_limit functionality, under certain conditions such as when register_globals is enabled, allows remote attackers to execute arbitrary code by triggering a memory_limit abort during execution of the zend_hash_init function and overwriting a HashTable destructor pointer before the initialization of key data structures is complete. [CAN-2004-0594]
               More details are available at http://cve.mitre.org/: CAN-2004-0594
          • The strip_tags function, does not filter null (\0) characters within tag names when restricting input to allowed tags, which allows dangerous tags to be processed by web browsers such as Internet Explorer and Safari, which ignore null characters and facilitate the exploitation of cross-site scripting (XSS) vulnerabilities. [CAN-2004-0595]
               More details are available at http://cve.mitre.org/: CAN-2004-0595
        • Bug fixes:
          • mod_ssl: Fix a SEGV that occurs when small cache size is specified.
          • mod_cgi: Fix a hang problem with scripts that used timeouts (ex. ping)
    • HP-UX Webmin-based Admin v.1.070.01
      This release of HP-UX Webmin-based Admin is primarily a security and bug fix release:
      • Webmin upgraded to 1.070.01
        • Disabled read access to module configuration for normal users.
        • DOS attack(Locking out other users) when logging in using space in username.

      Plus enhancements from HP-UX Web Server Suite v.2.03
      • HP-UX Web Server Suite v.2.03
      • HP-UX Apache-based Web Server v.2.0.49.00
        This release of HP-UX Apache-based Web Server is primarily a security and bug fix release which addresses the following vulnerabilities and problems:
        • Apache upgraded to 2.0.49 + Bug fixes
          • Apache does not filter terminal escape sequences from error logs, which could make it easier for attackers to insert those sequences into terminal emulators.
               More details are available at http://cve.mitre.org/: CAN-2003-0020
          • Starvation issue on listening sockets occurs when a short-lived connection on a rarely-accessed listening socket will cause a child to hold the accept mutex and block out new connections.
               More details are available at http://cve.mitre.org/: CAN-2004-0174
          • Memory leak in mod_ssl allows a remote denial of service attack against a SSL-enabled server by sending plain HTTP requests to the SSL port.
               More details are available at http://cve.mitre.org/: CAN-2004-0113
          • Mod_ssl is not sending the "Close Notify" alert message before closing the socket
          • SSL variables are not detected correctly in RewriteCond
          • Disabled extra session caching in OpenSSL to prevent memory leak
          • Changed SSLMutex to use 'pthread' and 'shm' as an option
          • Fixed segmentation violation when Listen directive is not specified
        • OpenSSL upgraded to 0.9.7d + Bug fix
          • The do_change_cipher_spec function in OpenSSL allows remote attackers to cause a denial of service via a crafted SSL/TLS handshake that triggers a null dereference.
               More details are available at http://cve.mitre.org/: CAN-2004-0079
          • The SSL/TLS handshaking, when using Kerberos ciphersuites, does not properly check the length of Kerberos tickets during a handshake, which allows remote attackers to cause a denial of service via a crafted SSL/TLS handshake that causes an out-of-bounds read.
               More details are available at http://cve.mitre.org/: CAN-2004-0112
          • PKCS7-S/MIME encryption fails with memory fault core dump
        • C++ plug-in modules
          • C++ plug-in modules on IPF should now be built with the Standard C++ runtime libraries. This is a change from previous versions which used Classic C++ runtime libraries. Plug-ins for PA should continue to use the Classic C++ runtime libraries.
      Plus enhancements from HP-UX Web Server Suite v.2.00
      • HP-UX Apache-based Web Server v.2.0.48.00
        This release of HP-UX Apache-based Web Server is a feature release and bug fix release which contains the following:
        • Apache 2.0.48 is principally a bug fix release. Of particular note is that 2.0.48 addresses two security vulnerabilities:
          • mod_cgid mishandling of CGI redirect paths could result in CGI output going to the wrong client when a threaded MPM is used.
          • A buffer overflow could occur in mod_alias and mod_rewrite when a regular expression with more than 9 captures is configured. More details are available at: CAN-2003-0789 CAN-2003-0542
        • Changed the behavior of 'Scriptsock' directive for mod_cgid.
        • Microsoft FrontPage 2002 support includes documentation detailing Installation of the Front Page 2002 Server Extensions specifically for HP-UX Apache-based Web Server.
        • New PHP extensions(LDAP & PGSQL) have been added
        • Version upgrades:
          * PHP 4.3.4
          * Stunnel 4.04
          * mod_perl 1.99_10, now using Perl 5.8.0
          * openSSL 0.9.7c
        • mod_jk2 support has been added
        • mod_jk 1.2.5 and related configuration files are now shipped with HP-UX Apache-based Web Server
        • Support with MC/Service Guard
        • Support for Large Files
        • Apache on IPF is now available in 32-bit and 64-bit versions.
        • Support for Webproxy including a Webproxy Admin Guide
      • HP-UX Webmin-based Admin v.1.070.00
        • Support for 32-bit Apache (if installed)
        • Backup, version management(RCS) and retrieval of Apache configuration files.
        • Direct access to
          • launching HP-UX Tomcat-based Servlet Engine
          • invoking Tomcat's Management and Admin tools
        • Consolidated log display page which now provides a single portal for viewing all log files.
        • Support for easy management of log rotation
        • Intuitive server status and info configuration and viewing
        • Enhanced certificate management including addition of PEM pass phrases to keys and deploying a key/certificate pair to a Virtual Server.
        • Support for Virtual Host additions and management
        • Enhanced look and feel (new icons, intuitive forms, Javascript event handlers)
        • Improved parsing of Apache configuration files to accurately handle directives within Virtual Hosts, Directory, and other containers.
        • Various bug fixes
      • HP-UX Tomcat-based Servlet Engine v.4.1.29.00
        • Tomcat version upgrade to v.4.1.29.00
        • Now onwards mod_jk and related configuration files are shipped with HP-UX Apache-based Web Server.
        • Fix to the Tomcat Admin application that had affected numerous Tomcat administrative tasks.
        • Tomcat has IPv6 support when used with Java 1.4 JDK (HP-UX 11i v2 only)

    why use hp-ux apache-based web server, hp-ux tomcat-based servlet engine and hp-ux webmin-based admin?

    From displaying information on simple, static web pages to serving as a secured e-Commerce store handling many simultaneous clients, today's web site must support a wide variety of technologies. To meet these needs, HP offers HP-UX Apache-based Web Server, HP-UX Tomcat-based Servlet Engine and HP-UX Webmin-based Admin as components in the HP-UX Web Server Suite.

    • investment protection by leveraging the Open Source community and industry effort in continuous, leading-edge development of the most popular web server. HP has bundled many valuable technologies with the core Apache web server to provide a highly optimized web server solution. HP customers receive direct cost savings because the HP-UX Web Server Suite is absolutely free and is pre-bundled with the HP-UX Operating Environment.
    • rich and flexible features with breadth when compared to other commercial web servers, new functionality is easily added with Perl, C and C++ server modules. Server-side Java technologies are implemented through Tomcat servlets and JSP. Delivery of dynamic data is quick and easy using the PHP scripting language and its built-in database connectivity. WebDAV provides efficient remote web publishing and content management.
    • security you can trust for secure transactions with full strength 128-bit/168-bit encryption and the most popular Open Source security modules, mod_ssl and OpenSSL. The HP-UX Apache-based Web Server also supports Digital Badge/certificate and authentication, secure HTTP client authentication using LDAP, reverse web proxying, and file system security (Chroot) to provide additional layers of protection from intruders. The HP-UX Apache-based Web Server offers high-speed data encryption so HP customers don't have to sacrifice performance for good security.
    • simple, easy, and out-of-the-box is what HP customers can expect. The HP-UX Web Server Suite allows customers to install in simple steps and manage using easy-to-use, web-based administration. The HP-UX Web Server Suite is available as a free web download or pre-bundled with HP-UX.

    hp-ux apache-based web server product specifications

    • Apache Web Server 2.0.50 from ASF, built with worker Multi-Processing Module (MPM)
      Modules statically included: core, http_core, mod_so, worker
      Other standard modules dynamically included: mod_access, mod_actions, mod_alias, mod_asis, mod_auth, mod_auth_anon, mod_auth_dbm, mod_auth_digest, mod_auth_ldap, mod_autoindex, mod_cache, mod_cache_filter, mod_cache_filter_in, mod_cern_meta, mod_cgi, mod_cgid, mod_charset_lite, mod_dav, mod_dav_fs, mod_deflate, mod_dir, mod_disk_cache, mod_env, mod_expires, mod_ext_filter, mod_file_cache, mod_headers, mod_imap, mod_include, mod_info, mod_ldap, mod_log_config, mod_log_forensic, mod_mem_cache, mod_mime, mod_mime_magic, mod_negotiation, mod_proxy, mod_proxy_connect, mod_proxy_ftp, mod_proxy_http, mod_rewrite, mod_setenvif, mod_speling, mod_ssl, mod_status, mod_unique_id, mod_userdir, mod_usertrack, mod_vhost_alias
    • mod_auth_ldap allows an LDAP directory to be used to store the database for HTTP Basic authentication.
    • mod_ldap this module adds an LDAP connection pool and an LDAP shared memory cache.
    • mod_deflate provides a filter to compress content from your server before sending it to the client. It can also decompress a gzip-compressed request body.
    • mod_suexec allows CGI and SSI programs to run under user IDs different from the user ID of the web server.
    • IPv6 capability is incorporated into this product. Since HP-UX Web Server Suite is dependent on other products such as Java and Perl, this version of the web server may or may not work the same as in the IPv4 product. Read the "system requirements" and "IPv6 Functionality Supported" below, as well as the documentation provided in the bundle. This product can be used in either IPv4 or IPv6 mode and includes the same feature set as the IPv4 HP-UX Apache-based Web Server product. Make sure to select the correct "software specification" on the Registration page to download the IPv6 product.
    • The enhanced Apache Application Programmable Interface (API/APR) increases portability of customized and third-party modules by isolating platform-specific implementations.
    • Worker MPM (Multi-Processing Module) offers better scalability and robustness in load balancing than Apache 1.3.
    • WebDAV (Web-based Distributed Authoring and Versioning) permits users to create, move, copy, and delete files and directories remotely for easier web publishing and content management.

         hp-added features:

    • Modules dynamically included: auth_ldap, mod_perl, mod_php5
    • OpenSSL 0.9.7d is an Open Source toolkit that implements the SSL/TLS security protocols.
    • HP-UX Bastille is a security hardening/lockdown tool which can be used to enhance the security of the HP-UX operating system. The HP-UX Apache-based Web Server fully supports Bastille functionality.
    • Chroot enables a named directory to become the root directory to protect the root file system.
    • auth_ldap 1.5.4 authenticates users by utilizing entries in an LDAP directory. auth_ldap supports iPlanet (Netscape) Directory Server and OpenLDAP. auth_ldap can be configured to use the Stunnel program for secure SSL queries to the LDAP server.
    • mod_jk 1.2.5 and mod_jk2 are servlet connectors to Tomcat that replace mod_jserv servlet connector found in previous versions of HP-UX Apache-based Web Server. mod_jk and mod_jk2 work with the ajpv13 protocol.
    • mod_perl 1.99_10 makes it possible to write Apache modules entirely in Perl. In addition, the persistent interpreter embedded in the server avoids the overhead of starting an external interpreter for each Perl CGI request. mod_perl is configured for Perl 5.8.0.
    • PHP 4.3.8 is an HTML embedded, server-side, cross-platform, scripting language with support for database access. It also supports Oracle 8.1.6 database connectivity using PHP extensions.
    • Support for loading customized Apache modules implemented in C++.
    • Automatic Restart of Apache/Tomcat/Webmin on reboot. More information on customization configuration of this feature can be found in the Admin Guide.
    • apr_shm is a 2-layer abstraction library which simplifies the usage of shared memory between forked processes on Unix platforms. apr_shm supports session caching using either hash tables or circular buffers. apr_shm replaces Shmem support that was in previous versions of HP Apache-based Web Server 2.x and MM support that was in HP Apache-based Web Server 1.3.x.
    • certmig makes it possible to share certificates between the iPlanet Web Server, Enterprise Edition, and any server that supports PKCS #12 formats possible. The certmig utility is an extension of the pk12util utility, provided by the Mozilla community. In addition to the pk12util functionality, certmig lists and extracts certificates from iWS 4.x certificate databases. This tool has a helper script, test_certmig.sh.
    • Utilities:
      • alternate root utility moves the components of HP-UX Web Server Suite to another directory after it is installed in its default location.
      • cache utility helps create a caching file for improved Apache performance.
      • chroot utility copies commonly used Apache files into the chroot directory.
      • mkcert utility generates private keys, certicate signing requests, and certificates for the Certificate Authority (CA), server, and client.
      • ports utility reads and displays the ports for all the components currently configured in the bundle.
      • test certmig utility tests importing and exporting certificates from a Netscape Certificate Database.
    • Example modules for developers (mod_hello, mod_example, mod_echo).
    • HP integration, testing and optimization for smooth deployment in the HP-UX environment.
    • Documentation created specifically for HP-UX Web Server Suite including FAQs, user, administration and migration guides.

    hp-ux tomcat-based servlet engine product specifications

    • Tomcat 4.1.x is a servlet container which is compliant with Java Servlets 2.3 and JavaServer Pages 1.2 specifications.

    hp-ux webmin-based admin product specifications

    • Webmin 1.070 is a web-based administration and configuration tool from Webmin.
    • It has been extensively enhanced to be more tightly integrated with the HP-UX Web Server Suite. Many changes have been made, including new HP look-and-feel, easy access to documentation, support for more Apache modules (auth_ldap, mod_ssl), added "help" for Apache directives.

    system requirements

    This package can be installed on HP-UX 11.0 and 11i for PA-RISC and Itanium® processor family-based systems. Make sure to select the correct "software specification" on the Registration page. In addition, the following are package requirements.

    HP-UX Apache-based Web Server
    1. HP-UX Apache-based Web Server installs into /opt/hpws/apache and uses 35 - 50 MB of disk space.
    2. Apache binaries (PA-RISC) require ld and libdld version B.11.32 or higher.
      To determine the version on your machine, type ld -V and what /usr/lib/libdld.sl at the command line. Install the correct patch from IT Resource Center for Americas and Asia Pacific or Europe.
        -   PHSS_26559 for HP-UX 11.00 or
        -   PHSS_26560 for HP-UX 11i (11.11)
      Under Maintenance/ Support click on "Individual Patches". Scroll down to "retrieve a specific patch by entering the patch name" and enter the patch number in the input field. Note that on any given system, the versions of ld and libdld should be the same.
    3. IPv6 Support - See "IPv6 Functionality Supported" below for for more information.
      • HP-UX 11.0: IPv6 is not supported
      • HP-UX 11i (11.11): IPv6 requires a separate (free) IPv6 product to be installed. The product Number is T1306AA.
        The IPv6 Product is available at HP Software Depot using search keywords: T1306AA, or directly go here
      • HP-UX 11i V2 (IPF): IPv6 is supported
    4. mod_perl requires Perl v.5.8.0. 
      • For IPF, a 64-bit version of Perl 5.8.0 is required.
      To download, go to HP Software Depot and search for Perl v.5.8.0, or directly, go here.
    5. mod_deflate requires zlib version 1.1.4. The HP-UX Porting Archive Center (http://hpux.cs.utah.edu) provides this library in source form and also HP-UX binaries.
    6. PHP Extensions have the following requirements
      • Dom XML (domxml.sl):
             libxml2 version 2.5.9
             libxslt version 1.0.33
      • Zlib (zlib.sl): 
             zlib version 1.1.4
      • Image (gd.sl) :
             libjpeg version 6b
             libpng version 1.0.11
             libxpm version 3.4k
             libfreetype version 2.1.2
             t1lib version 1.3.1 (should be installed in /usr/local/lib)
      • Crack (crack.sl): 
             cracklib version 2.7
      If you do not have these libraries installed, sources and HP-UX binaries for most of them are available for free from many Internet sources. The HP-UX Porting Archive Center (http://hpux.cs.utah.edu) provides many of
      these libraries in source form and also HP-UX binaries.
      • Oracle (oci8.sl) - Oracle client side libraries version 8.1.6 or later.
        These libraries need to be installed on your system.
    7. Building DSOs using apxs (Apache Extension Tool) uses Perl and expects it to be installed at /opt/perl/bin/perl
      Either download and install Perl as described for mod_perl, or change the path in the apxs script to the Perl location installed on your machine.
    8. Building your own Apache module in C or C++ requires a C/C++ compiler.
    HP-UX Tomcat-based Servlet Engine
    1. HP-UX Tomcat-based Servlet Engine installs into /opt/hpws/tomcat and uses 12 MB of disk space.
    2. Tomcat requires HP JRE 1.2.2.04 or higher. Version 1.3 or higher is recommended. If your web application uses JSPs (Java Server Pages) then you will also need the JDK (Java Development Kit) so you can compile the JSPs.
      • For HP-UX 11i version 2 - IPF: only Java 1.3 and later is available. 
      • IPv6 support: not supported. See below for for more information.
      The latest versions of Java 1.2 and 1.3 can be downloaded from www.hp.com/go/java
    HP-UX Webmin-based Admin
    1. HP-UX Webmin-based Admin installs into /opt/hpws/webmin and uses 20 MB of disk space.
    2. Webmin requires  Perl 5 or higher and expects it to be installed at /opt/perl/bin/perl. To download Perl v.5.8.0, go to HP Software Depot using the search keywords: Perl v.5.8.0, or directly, go here.
    3. IPv6 support: not supported. See below for for more information.

    IPv6 Functionality Supported

    HP-UX Apache-based Web Server, HP-UX Tomcat-based Servlet Engine and HP-UX Webmin-based Admin may or may not work the same as in the corresponding IPv4 products.

    HP-UX Tomcat-based Servlet Engine

    • Starting with 1.4, Java has support for IPv6. However, the current version of HP-UX Tomcat-based Servlet Engine is compiled under Java 1.3, and hence is not supported for IPv6 platform.
    HP-UX Webmin-based Admin
    • Currently there is no support for IPv6 in Perl. Since HP-UX Webmin-based Admin is entirely written in Perl, it is not supported for IPv6 platform.

      Also, HP-UX Webmin-based admin currently does not have support for recognizing IPv6 addresses correctly. Therefore, specifying IPv6 addresses for Apache may not work.

    HP-UX Apache-based Web Server
    1. Complete Support
      The following components work on IPv6 platform, and all the functionality of IPv6 is also implemented.
      • Apache Core
      • SSL
      • PHP
      • SSI
      • CGI (C-based and shell script)

    2. Partial Support
      Although the following components work on the IPv6 platform, they may not behave correctly for networking calls related to IPv6 address, due to lack of underlying support.

      • OpenSSL
        OpenSSL does not have support for IPv6. However, on an IPv6 machine, it could still be used in IPv4 mode.
      • mod_ssl
        Since HP-UX Apache-based Web Server implements the SSL using the OpenSSL library, mod_ssl does not support IPv6 addresses.
      • ab and OpenSSL
        /opt/hpws/apache/bin/ab implements SSL using OpenSSL. Since OpenSSL does not have support for IPv6, ab does not either.
      • Stunnel
        Stunnel currently does not have IPv6 capabilities, i.e. it cannot listen on IPv6 addresses. Therefore, when one starts Stunnel they need to specify an IPv4 address/port for Stunnel. Hence your auth_ldap configuration should point to the IPv4 address/port that Stunnel is listening on.
      • SSL clients
        Currently, there are no SSL clients available from HP on HP-UX for IPv6. However, one could use the standard SSL clients in IPv4 mode.

      • CGI (Perl-based)
      • mod_perl CGI scripts or Perl modules written in Perl will return failure for any calls to gethostbyname() for the IPv6 addresses, as Perl does not support IPv6. Hence, CGI and mod_perl are supported only in IPv4 mode.

      • LDAP connectivity
        If your LDAP server is not IPv6 capable, then you will need to configure your auth_ldap to connect to the LDAP server using the IPv4 address.

      • WebDAV
        Currently there are no IPv6 compatible clients for WebDAV. Hence, WebDAV with IPv6 addresses is not supported for this release of HP-UX Apache-based Web Server.

    technical support

    • HP-UX Web Server Suite is supported by the HP Worldwide Response Centers for customers with an HP-UX support contract.

    Date: 2005/06/24

 
Additional product information
Product #: HPUXWSATW212
Version: 2.12
Software specification: HP-UX 11.00 and 11i PA-RISC
HP-UX 11i PA-RISC with IPv6 support
HP-UX 11i version 2 PA-RISC/IPF 64-bit
HP-UX 11i version 2 PA-RISC/IPF 32-bit
Installation
Receive for Free